import type { NumberField } from '..';
/**
 * Page object for `nimble-number-field` component to provide consistent ways
 * of querying and interacting with the component during tests.
 */
export declare class NumberFieldPageObject {
    protected readonly numberFieldElement: NumberField;
    constructor(numberFieldElement: NumberField);
    /**
     * @returns The string visible in the control.
     */
    getDisplayValue(): string;
    /**
     * Inputs the given text via a single input event.
     */
    inputText(text: string): void;
    /**
     * Inputs the given text via a single input event, replacing any text that was already there.
     */
    setText(text: string): void;
    private inputTextInternal;
    private get inputControl();
}
